OpenVDB 12.1.0

Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ChildOffCIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes
struct | NodeConverter

## Public Types
using | IterT = typename NodeT::ChildOffCIter

## Static Public Member Functions
static IterT | begin (const NodeT &node)
static ChildT * | getChild (const typename NodeT::ChildOffCIter &)

## Member Typedef Documentation

## ◆ IterT

template<typename NodeT>

using IterT = typename NodeT::ChildOffCIter

## Member Function Documentation

## ◆ begin()

template<typename NodeT>

IterT begin | ( | const NodeT & | node | ) |
| inline static

## ◆ getChild()

ChildT * getChild | ( | const typename NodeT::ChildOffCIter & |  | ) |
| inline static